Subject: Re: [PATCH net-next v5 5/6] ptp: add debugfs interface to see applied channel masks

From: Jakub Kicinski <[email-masked]>
Date: Thu, 12 Oct 2023 16:37:33 -0700

On Thu, 12 Oct 2023 00:36:04 +0200 Xabier Marquiegui wrote:
> Jakub Kicinski said:
> > If it's a self-test it should probably be included in the Makefile 
> > so that bots run it.
> 
> Thank you for your input Jakub. It's actually designed as a debug tool for
> humans. I wasn't thinking about self-tests, and I can't really think of how
> that could be pulled of in this specific case. I hope that's ok. If not we
> can try to throw a few ideas around and see if we find a way.

Let's not throw random non-test scripts into selftests. It adds
confusion to our pitiful kernel testing story :(

The netdevsim driver which is supposed to be used for uAPI selftests
now supports PHCs. Maybe we can extend it and build a proper-er test?

Whether we'd then want to move the debugfs entries onto netdevsim
or leave them where you have then now is another question..